 <?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Massage Clean
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div class="header">
	<div class="container">
    	<div class="header_left">
        	<?php if(get_theme_mod('address-txt') != '' || get_theme_mod('street-txt') != '') { ?>
        		<div class="icon"><i class="fa fa-map-marker"></i></div>
            <?php } ?>
            <div class="headtxt">
            	<?php if(get_theme_mod('address-txt') != '') { ?>
            		<p><?php echo esc_html(get_theme_mod('address-txt')); ?></p> 
                <?php } ?>
                <?php if(get_theme_mod('street-txt') != '') { ?>
            	<span><?php echo esc_html(get_theme_mod('street-txt')); ?></span>
                <?php } ?>
           </div><div class="clear"></div>
        </div><!-- header_left -->
        
      	<div class="logo">
        		<?php massage_clean_the_custom_logo(); ?>
						<h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_attr(bloginfo( 'name' )); ?></a></h1>

					<?php $description = get_bloginfo( 'description', 'display' );
					if ( $description || is_customize_preview() ) : ?>
						<p><?php echo $description; ?></p>
					<?php endif; ?>
    	</div><!-- .logo -->                 
    
    	<div class="header_right">
        <?php if(get_theme_mod('phone-txt') != '' || get_theme_mod('email-txt') != '') { ?>  
     		<div class="icon"><i class="fa fa-phone"></i></div>
        <?php } ?>
            <div class="headtxt">
            	<?php if(get_theme_mod('phone-txt') != '') { ?>
                	<p><?php echo esc_html(get_theme_mod('phone-txt')); ?></p>
                <?php } ?>
                <?php if(get_theme_mod('email-txt') != '') { ?>
                <span><a href="mailto:<?php echo esc_html(get_theme_mod('email-txt')); ?>"><?php echo esc_html(get_theme_mod('email-txt')); ?></a></span>
                <?php } ?>
            </div>
            <div class="clear"></div>
    	</div><!--header_right-->    
 		<div class="clear"></div>
	</div><!-- container -->
</div><!-- .header -->

<div id="navigation">
	<div class="container">
    	<div class="toggle">
            <a class="toggleMenu" href="#">
                <?php _e('Menu','massage-clean'); ?>                
            </a>
    	</div><!-- toggle -->    
    <div class="sitenav">                   
   	 	<?php wp_nav_menu( array('theme_location' => 'primary') ); ?>   
    </div><!--.sitenav -->
    <div class="clear"></div>
    </div><!-- container -->    
</div><!-- navigation -->